## S3 Framework
####Create beautiful responsive Joomla templates more easier and faster.

[![S3Framework](http://img.shields.io/badge/S3Framework-Stable-blue.svg)](http://www.shaz3e.com)
[![Version](http://img.shields.io/badge/Version-3.3-green.svg)](http://www.shaz3e.com)
[![Build](http://img.shields.io/badge/Build-227-orange.svg)](http://www.shaz3e.com)
[![Build Status](https://travis-ci.org/Shaz3e/S3-Joomla.png?branch=S3-Joomla)](https://travis-ci.org/Shaz3e/S3-Joomla)


### S3 Framework Base Theme
The S3 Framework base theme is a clean modern responsive design that is a great place to start when building your custom S3 powered theme.

### What is the S3 Responsive Framework?
S3 is a sophisticated framework with the sole intention of being the best platform to build a solid theme with. S3 takes all the lessons learned during the development of many Joomla templates Themes and distills that knowledge into a single super-flexible framework that is easy to configure, simple to extend, and powerful enough to handle anything we want to throw at it.

### Key Features
 - Responsive Design supporting Phone, Tablets and Desktops
 - LESS CSS auto-compilation
 - Flexible widgets for template customization
 - Full extensible framework architecture
 - Responsive elements with [Bootstrap](http://getbootstrap.com/).
 - Font Icons with [Font Awesome](http://fortawesome.github.io/Font-Awesome/).
 - Less compiler as [lessphp](http://leafo.net/lessphp/).
 - Responsive Video with [FitVids.js](https://github.com/davatron5000/FitVids.js).

### Features
 - 12 Columns Grid System
 - 300+ Module Positions
 - Full width Modules Added in v3.2
 - Suitable with any design
 - IE7 and IE8 Supported
 - Template Manager
 - Custom Sitename
 - Custom Logo
 - Choose from Different Styles
 - Enable Modules (component / component-top / component-(1 to 12) / component-bottom) to hide Component
 - Show or hide component area on front page
 - Show or hide main body container
 - Custom theme's module styles with themes/style1/theme_modules.less file
 - Less Development Mode Enable / Disable
 - Use Google Analytics Code
 - Show or Hide Copyright
 - Show or Hide Framework Logo
 - Use Custom Meta Generator
 
### Style Options

 - Custom Sitename
 - Custom Logo
 - **Style Settings**
 - Choose from different Styles
 - **Front Page Settings**
 - Show Frontpage Articles or Hide it
 - Show Main Body
 - Hide Component (select menu to hide component on specific menu)
 
### Libraries
 - Use jQuery addScript (No: to load before everything, Yes: to load as addScript)
 - Use Bootstrap
 - Use Font Awesome
 - Use Responsive Menu

### Layout Settings
 - Set Logo Column (by selecting logo column header module will be automaticaly adjusted)
 - Set Sidebar Column (by selecting sidebar column page container will be automatically adjusted)
 - Show Copyright "Default Show" (Hide or Show) when its hide the module still be available for this postion
 - Show Credit "Default Show" (Hide or Show) when its hide the module still be available for this postion 
 - Show Framework Logo "Default Show" (Hide or Show)
 - **Fixed Header and Menu**
 - Fixed Header "Default Off" If you want to hide/show header and Menu on scroll up/down enable this option
 - Break Point Type your break point (only number) i.e. (768 for tablet) fixed header will show on larger than break point defined here.
 - Enable Height i.e. 100 (Fixed header will be hide after scrolling down 100px)
 - Ease Speed "Default 400" Low Number is Faster and Higher Number will slow down.

### S3 Template Configuration
 - Google Analytics
 - **Development Options**
 - Use Responsive Video "Default Off"
 - Development Mode "Default Off" (CSS will be auto-compilation when off)
 - js Hosted on CDN "Enable or Disable" By disabling this feature template will use all js files locally.
 - Type Meta Generator


### How To Use
Visit for Complete [Documentation](http://shaz3e.com/documantation/s3-joomla)
 
### Download, Fork, Commit.
If you think you can make this better, please Download, Fork, & Commit. We'd love to see your ideas.
 
### License

The S3 Responsive Template System is opensource software released under the [GPL](http://www.gnu.org/licenses/gpl-2.0.txt).

[Shaz3e's Website](http://www.shaz3e.com) | [@Shaz3e](https://www.twitter.com/Shaz3e) | [Fan Page](https://www.facebook.com/Shaz3e)
